nsswitch: Lookup the domain in tests with the wb seperator
authorAndreas Schneider <asn@samba.org>
Mon, 7 May 2018 11:23:42 +0000 (13:23 +0200)
committerAndreas Schneider <asn@cryptomilk.org>
Fri, 11 May 2018 07:07:36 +0000 (09:07 +0200)
Signed-off-by: Andreas Schneider <asn@samba.org>
Reviewed-by: Stefan Metzmacher <metze@samba.org>
nsswitch/tests/test_idmap_ad.sh
nsswitch/tests/test_idmap_nss.sh
nsswitch/tests/test_idmap_rid.sh

index 2f4ee3293b2f8ceba66e7d213c9e728ff2b562c3..7450ae06059f1658b51450728f14c086d02e8c69 100755 (executable)
@@ -20,7 +20,7 @@ failed=0
 
 . `dirname $0`/../../testprogs/blackbox/subunit.sh
 
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
 if [ $? -ne 0 ] ; then
     echo "Could not find domain SID" | subunit_fail_test "test_idmap_ad"
     exit 1
index 5072a0df72cb8212e548b118db23748e50c7d129..1bbc177774d936659a035384feb0a46716c852a8 100755 (executable)
@@ -13,8 +13,8 @@ failed=0
 
 . `dirname $0`/../../testprogs/blackbox/subunit.sh
 
-testit "wbinfo returns domain SID" $wbinfo -n "@$DOMAIN" || exit 1
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+testit "wbinfo returns domain SID" $wbinfo -n "$DOMAIN/" || exit 1
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
 echo "Domain $DOMAIN has SID $DOMAIN_SID"
 
 # Find an unused uid and SID
index 7fb59852cf5577f7619180264102f9c044c86351..8209a50a4fc34525d255bfc91868a0bda702141d 100755 (executable)
@@ -16,7 +16,7 @@ failed=0
 
 . `dirname $0`/../../testprogs/blackbox/subunit.sh
 
-DOMAIN_SID=$($wbinfo -n "@$DOMAIN" | cut -f 1 -d " ")
+DOMAIN_SID=$($wbinfo -n "$DOMAIN/" | cut -f 1 -d " ")
 if [ $? -ne 0 ] ; then
     echo "Could not find domain SID" | subunit_fail_test "test_idmap_rid"
     exit 1